OGRE-Next: Ogre::PageContent Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::PageContent Class Referenceabstract
Components » Paging

Interface definition for a unit of content within a page. More...

`#include <OgrePageContent.h>`

Inheritance diagram for Ogre::PageContent:
[legend]

## Public Member Functions
| PageContent (PageContentFactory *creator)
virtual | ~PageContent ()
virtual void | _notifyAttached (PageContentCollection *parent)
| Internal method to notify a page that it is attached.
virtual void | frameEnd (Real timeElapsed)
| Called when the frame ends.
virtual void | frameStart (Real timeSinceLastFrame)
| Called when the frame starts.
PageManager * | getManager () const
SceneManager * | getSceneManager () const
virtual const String & | getType () const
| Get the type of the content, which will match it's factory.
virtual void | load ()=0
| Load - will be called in main thread.
virtual void | notifyCamera (Camera *cam)
| Notify a section of the current camera.
virtual bool | prepare (StreamSerialiser &ser)=0
| Prepare data - may be called in the background.
virtual void | save (StreamSerialiser &stream)=0
| Save the content to a stream.
virtual void | unload ()=0
| Unload - will be called in main thread.
virtual void | unprepare ()=0
| Unprepare data - may be called in the background.

## Detailed Description

Interface definition for a unit of content within a page.

## Constructor & Destructor Documentation

## ◆ PageContent()

Ogre::PageContent::PageContent | ( | PageContentFactory * | creator | ) |

## ◆ ~PageContent()

virtual Ogre::PageContent::~PageContent | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _notifyAttached()

virtual void Ogre::PageContent::_notifyAttached | ( | PageContentCollection * | parent | ) |
| virtual

Internal method to notify a page that it is attached.

## ◆ frameEnd()

virtual void Ogre::PageContent::frameEnd | ( | Real | timeElapsed | ) |
| inlinevirtual

Called when the frame ends.

## ◆ frameStart()

virtual void Ogre::PageContent::frameStart | ( | Real | timeSinceLastFrame | ) |
| inlinevirtual

Called when the frame starts.

## ◆ getManager()

PageManager * Ogre::PageContent::getManager | ( |  | ) | const

## ◆ getSceneManager()

SceneManager * Ogre::PageContent::getSceneManager | ( |  | ) | const

## ◆ getType()

virtual const String & Ogre::PageContent::getType | ( |  | ) | const
| virtual

Get the type of the content, which will match it's factory.

## ◆ load()

virtual void Ogre::PageContent::load | ( |  | ) |
| pure virtual

Load - will be called in main thread.

## ◆ notifyCamera()

virtual void Ogre::PageContent::notifyCamera | ( | Camera * | cam | ) |
| inlinevirtual

Notify a section of the current camera.

## ◆ prepare()

virtual bool Ogre::PageContent::prepare | ( | StreamSerialiser & | ser | ) |
| pure virtual

Prepare data - may be called in the background.

## ◆ save()

virtual void Ogre::PageContent::save | ( | StreamSerialiser & | stream | ) |
| pure virtual

Save the content to a stream.

## ◆ unload()

virtual void Ogre::PageContent::unload | ( |  | ) |
| pure virtual

Unload - will be called in main thread.

## ◆ unprepare()

virtual void Ogre::PageContent::unprepare | ( |  | ) |
| pure virtual

Unprepare data - may be called in the background.

The documentation for this class was generated from the following file:

- OgrePageContent.h